fg=c(0.9,0.1);
bg=c(0.1,0.9);
anz=100;
N=c(anz,100*anz);
param=seq(-10,10,by=0.5)

#data
pos=cbind(rbinom(N[1],1,fg[1]),rbinom(N[1],1,fg[2]))
neg=cbind(rbinom(N[2],1,bg[1]),rbinom(N[2],1,bg[2]))

#grid
require(PRROC)
n = length(param)
cll = matrix(NA,ncol=n,nrow=n);
auc = matrix(NA,ncol=n,nrow=n);
for( i in 1:n ) {
	for( j in 1:n ) {
		v=pos[,1]*param[i]+pos[,2]*param[j]
		w=exp(v)
		vv=neg[,1]*param[i]+neg[,2]*param[j]
		ww=exp(vv)
		cll[i,j] = sum(v-log1p(w)) + sum(-log1p(ww))

		#TODO AUC-pr
		auc[i,j] = pr.curve(v,vv)$auc.integral
	}
}

max=max(cll)
min=min(cll)
lev=max-(exp(seq(log1p(min-min),log1p(max-min),by=0.25))-1)
contour(param,param,cll,levels=lev);

contour(param,param,auc);
